package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_DATA_RESULT"
)
public class TcoreDiscoveryDataResult extends TProEntity {
   private String taskid;
   private String tasktime;
   private String tablecount;
   private String fieldcount;
   private String sensitivetable;
   private String sensitivefield;
   private String createuser;
   private Date createtime;

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTasktime() {
      return this.tasktime;
   }

   public void setTasktime(String tasktime) {
      this.tasktime = tasktime;
   }

   public String getTablecount() {
      return this.tablecount;
   }

   public void setTablecount(String tablecount) {
      this.tablecount = tablecount;
   }

   public String getFieldcount() {
      return this.fieldcount;
   }

   public void setFieldcount(String fieldcount) {
      this.fieldcount = fieldcount;
   }

   public String getSensitivetable() {
      return this.sensitivetable;
   }

   public void setSensitivetable(String sensitivetable) {
      this.sensitivetable = sensitivetable;
   }

   public String getSensitivefield() {
      return this.sensitivefield;
   }

   public void setSensitivefield(String sensitivefield) {
      this.sensitivefield = sensitivefield;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }
}
